<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>Bailian-Al</artifactId>
        <groupId>com.ruoyi</groupId>
        <version>4.8.0</version>
    </parent>
    <artifactId>benyun-core</artifactId>

    <description>benyun-core</description>
<!--    <properties>-->
<!--        <java.version>1.8</java.version>-->
<!--        <ruoyi-vue-plus.version>4.8.0</ruoyi-vue-plus.version>-->
<!--        <spring-boot.version>2.7.13</spring-boot.version>-->
<!--        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>-->
<!--        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>-->
<!--        <java.version>11</java.version>-->
<!--        <maven-jar-plugin.version>3.2.2</maven-jar-plugin.version>-->
<!--        <spring-boot.mybatis>2.2.2</spring-boot.mybatis>-->
<!--        <springdoc.version>1.6.15</springdoc.version>-->
<!--        <poi.version>5.2.3</poi.version>-->
<!--        <easyexcel.version>3.3.1</easyexcel.version>-->
<!--        <velocity.version>2.3</velocity.version>-->
<!--        <satoken.version>1.35.0.RC</satoken.version>-->
<!--        <mybatis-plus.version>3.5.3.1</mybatis-plus.version>-->
<!--        <p6spy.version>3.9.1</p6spy.version>-->
<!--        <hutool.version>5.8.18</hutool.version>-->
<!--        <okhttp.version>4.10.0</okhttp.version>-->
<!--        <spring-boot-admin.version>2.7.10</spring-boot-admin.version>-->
<!--        <redisson.version>3.20.1</redisson.version>-->
<!--        <lock4j.version>2.2.3</lock4j.version>-->
<!--        <dynamic-ds.version>3.5.2</dynamic-ds.version>-->
<!--        <alibaba-ttl.version>2.14.2</alibaba-ttl.version>-->
<!--        <xxl-job.version>2.4.0</xxl-job.version>-->
<!--        <lombok.version>1.18.26</lombok.version>-->
<!--        <bouncycastle.version>1.72</bouncycastle.version>-->
<!--        &lt;!&ndash; 离线IP地址定位库 &ndash;&gt;-->
<!--        <ip2region.version>2.7.0</ip2region.version>-->

<!--        &lt;!&ndash; 临时修复 snakeyaml 漏洞 &ndash;&gt;-->
<!--        <snakeyaml.version>1.33</snakeyaml.version>-->

<!--        &lt;!&ndash; OSS 配置 &ndash;&gt;-->
<!--        <aws-java-sdk-s3.version>1.12.400</aws-java-sdk-s3.version>-->
<!--        &lt;!&ndash; SMS 配置 &ndash;&gt;-->
<!--        <sms4j.version>2.2.0</sms4j.version>-->
<!--    </properties>-->
    <dependencies>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-quartz</artifactId>
        </dependency>

        <!-- 分页插件 -->
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
            <version>1.4.2</version>
        </dependency>


        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>redis.clients</groupId>-->
<!--            <artifactId>jedis</artifactId>-->
<!--        </dependency>-->

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-jsr310</artifactId>
        </dependency>

        <!--mysql驱动-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>8.0.17</version>
        </dependency>

        <!-- 通用工具-->
        <dependency>
            <groupId>com.ruoyi</groupId>
            <artifactId>ruoyi-common</artifactId>
        </dependency>

        <!-- fastjson -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.47</version>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>1.1.23</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.13</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>


</project>
